#include <iostream>
#include <fstream>
using namespace std;

int main()
{   ifstream f1("DOINP.INP");
    int i,n;
    f1>>n;
    long long a[10000];
    for (i=1;i<=n;i++)
    {
        f1>>a[i];
    }
    f1.close();
    int j=0;
    ofstream f2 ("DOINP.OUT");
    while (n!=0)
    {
        j=j+1;
        a[j]=n%2;
        n=n/2;
    }
    for (j;j>0;j--)
    {
        f2<<a[j];
    }

    f2.close();



    return 0;
}
